# tcex-app-testing - ThreatConnect&trade; Exchange App Testing Framework

The TcEx App testing framework provides functionality for using pytest to test TcEx Apps.

## Requirements

 * arrow (https://pypi.python.org/pypi/arrow)
 * astunparse (https://pypi.python.org/pypi/astunparse)
 * black (https://pypi.org/project/black/)
 * deepdiff (https://pypi.org/project/deepdiff/)
 * hvac (https://pypi.org/project/hvac/)
 * inflect (https://pypi.python.org/pypi/inflect)
 * isort (https://pypi.org/project/isort/)
 * mako (https://pypi.org/project/mako/)
 * pyaes (https://pypi.org/project/pyaes/)
 * pydantic (https://pypi.org/project/pydantic/)
 * pytest (https://pypi.org/project/pytest/)
 * pytest-cov (https://pypi.org/project/pytest-cov/)
 * pytest-html (https://pypi.org/project/pytest-html/)
 * pytest-xdist (https://pypi.org/project/pytest-xdist/)
 * python-dateutil (https://pypi.python.org/pypi/python-dateutil)
 * redis (https://pypi.python.org/pypi/redis)
 * requests (https://pypi.python.org/pypi/requests)
 * rich (https://pypi.python.org/pypi/rich)
 * semantic_version (https://pypi.org/project/semantic-version/)
 * typer (https://pypi.python.org/pypi/typer)

### Development Requirements

 * bandit (https://pypi.org/project/bandit/)
 * pre-commit (https://pypi.org/project/pre-commit/)
 * pydocstyle (https://pypi.org/project/pydocstyle/)
 * pylint (https://pypi.org/project/pylint/)
 * pyright (https://pypi.org/project/pyright/)
 * pyupgrade (https://pypi.org/project/pyupgrade/)

## Installation

**Using pip**

```bash
pip install tcex-app-testing
```

## Documentation

https://threatconnect.readme.io/docs/tcex-app-testing-overview

## Release Notes

https://threatconnect.readme.io/docs/tcex-app-testing-release-notes

## Development

After cloning the repository, install the development requirements.

```bash
pip install -e .[dev]
```

## Contact

If you have any questions, bugs, or requests please contact support@threatconnect.com
